params ["_letter","_pos","_dir", ["_size", 1], ["_type", "B_Deck_Crew_F"]];
private "_offsets";
switch (_letter) do {
	case "A";
	case "a": { 
		_offsets = [
			
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],
			[0,3],
			[1,3],
			[2,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[-1,0],
			[1,0],
			[0,0]
		];
	};
	case "B";
	case "b": { 
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,2],
			[2,1],
			[1,0],
			[2,-1],
			[2,-2],
			[1,-3],
			[0,-3],
			[-1,-3],
			[-1,0],
			[0,0]
		];
	};
	case "C";
	case "c":{
		_offsets = [
			[2,-2],
			[1,-3],
			[0,-3],
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],
			[0,3],
			[1,3],
			[2,2]
		];
	};
	case "D";
	case "d":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,2],
			[2,1],
			[2,0],
			[2,-1],
			[2,-2],
			[1,-3],
			[0,-3],
			[-1,-3]
		];
	};

	case "E";
	case "e":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,3],

			[-1,-3],
			[0,-3],
			[1,-3],
			[2,-3],

			[-1,0],
			[0,0],
			[1,0]
		];
	};
	case "F";
	case "f":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,3],

			[-1,0],
			[0,0],
			[1,0]
		];
	};
	case "G";
	case "g":{
		_offsets = [
			[2,-1],
			[1,-1],
			[2,-2],
			[1,-3],
			[0,-3],
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],
			[0,3],
			[1,3],
			[2,2]
			
		];
	};
	case "H";
	case "h":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[2,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[2,3],

			[-1,0],
			[1,0],
			[0,0]
		];
	};
	case "I";
	case "i":{
		_offsets = [
			[-1,-3],
			[1,-3],
			[0,-3],
			[0,-2],
			[0,-1],
			[0,0],
			[0,1],
			[0,2],
			[0,3],
			[-1,3],
			[1,3]
		];
	};
	case "J";
	case "j":{
		_offsets = [
			[0,3],
			[2,3],
			[1,3],
			[1,2],
			[1,1],
			[1,0],
			[1,-1],
			[1,-2],
			[0,-3],
			[-1,-3],
			[-2,-2]
		];
	};
	case "K";
	case "k":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,0],
			[0,1],
			[0,-1],
			[1,2],
			[1,-2],
			[2,3],
			[2,-3]
		];
	};
	case "L";
	case "l":{
		_offsets = [

			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-2,-3],
			[-1,-3],
			[0,-3],
			[1,-3],
			[2,-3]
		];
	};
	case "M";
	case "m":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[2,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[2,3],

			[0,0],
			[0,1],
			[-1,2],
			[1,2]
		];
	};
	case "N";
	case "n":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[2,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[2,3],

			[0,0],
			[-1,1],
			[1,-1]
		];
	};
	case "O";
	case "o":{
		_offsets = [
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],

			[1,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[1,3],
			[0,3],
			[0,-3]
		];
	};
	case "P";
	case "p":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,2],
			[2,1],

			[-1,0],
			[1,0],
			[0,0]
		];
	};
	case "Q";
	case "q":{
		_offsets = [
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],

			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[1,3],
			[0,3],
			[0,-3],

			[0,-1],
			[1,-2],
			[2,-3]
		];
	};
	case "R";
	case "r":{
		_offsets = [
			[-2,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[-1,3],
			[0,3],
			[1,3],
			[2,2],
			[2,1],

			[-1,0],
			[1,0],
			[0,0],
			[0,-1],
			[1,-2],
			[2,-3]
		];
	};
	case "S";
	case "s":{
		_offsets = [
			[2,3],
			[1,3],
			[0,3],
			[-1,3],

			[-2,2],
			[-2,1],

			[-1,0],
			[0,0],
			[1,0],
			[2,-1],
			[2,-2],
			[1,-3],
			[0,-3],
			[-1,-3],
			[-2,-3]
		];
	};
	case "T";
	case "t":{
		_offsets = [
			[0,-3],
			[0,-2],
			[0,-1],
			[0,0],
			[0,1],
			[0,2],
			[0,3],
			[-1,3],
			[1,3],
			[-2,3],
			[2,3]
		];
	};
	case "U";
	case "u":{
		_offsets = [
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[1,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[2,3],
			[0,-3]
		];
	};
	case "V";
	case "v":{
		_offsets = [
			[-2,3],
			[-2,2],
			[-2,1],
			[-2,0],

			[2,3],
			[2,2],
			[2,1],
			[2,0],

			[1,-1],
			[-1,-1],
			[1,-2],
			[-1,-2],
			[0,-3]
		];
	};
	case "W";
	case "w":{
		_offsets = [
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-2,3],

			[1,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[2,3],
			[0,-2],
			[0,-1],
			[0,0]
		];
	};
	case "X";
	case "x":{
		_offsets = [
			[0,0],

			[1,1],
			[-1,1],
			[1,-1],
			[-1,-1],

			[2,2],
			[-2,2],
			[2,-2],
			[-2,-2],

			[2,3],
			[-2,3],
			[2,-3],
			[-2,-3]
		];
	};
	case "Y";
	case "y":{
		_offsets = [
			[0,0],
			[1,1],
			[-1,1],
			[2,2],
			[-2,2],
			[2,3],
			[-2,3],
			[0,-2],
			[0,-1]
		];
	};
	case "Z";
	case "z":{
		_offsets = [
			[-2,-3],
			[-1,-3],
			[0,-3],
			[1,-3],
			[2,-3],

			[-2,3],
			[-1,3],
			[0,3],
			[1,3],
			[2,3],

			[2,2],
			[-2,-2],
			[1,1],
			[-1,-1],
			[0,0]
		];
	};
	case "1":{
		_offsets = [
			[-1,-3],
			[1,-3],
			[0,-3],
			[0,-2],
			[0,-1],
			[0,0],
			[0,1],
			[0,2],
			[0,3],
			[-1,2]
		];
	};
	case "2":{
		_offsets = [
			[-2,-3],
			[-1,-3],
			[0,-3],
			[1,-3],
			[2,-3],

			[-2,2],
			[-1,3],
			[0,3],
			[1,3],

			[2,2],
			[2,1],
			[1,0],
			[0,-1],
			[-1,-2]
		];
	};
	case "0":{
		_offsets = [
			[-1,-3],
			[-2,-2],
			[-2,-1],
			[-2,0],
			[-2,1],
			[-2,2],
			[-1,3],

			[1,-3],
			[2,-2],
			[2,-1],
			[2,0],
			[2,1],
			[2,2],
			[1,3],
			[0,3],
			[0,-3],
			[1,1],
			[-1,-1],
			[0,0]
		];
	};
	default { };
};

if (isNil {_offsets}) exitWith { [] };

private _soldiers = [];
private _model = nil;

{
	private _firstProcessed = false;
	if (!isNil {_dir}) then {
		if (_foreachIndex == 0) then {
			_model = "Land_HelipadEmpty_F" createVehicle _pos;
			_model setDir _dir;
		};

		private _position = _pos vectorAdd (_model vectorModelToWorld [(_x#0)*_size,(_x#1)*_size,0]);
		private _unit = createAgent [_type,_position,[], 0, "FORM"];
		_unit setPosWorld _position;
		[_unit, "LISTEN_BRIEFING", "ASIS"] call BIS_fnc_ambientAnim;
		_soldiers pushBack _unit;
	} else {
		private _position = [round (_pos#0),round (_pos#1),round (_pos#2)];
		_position set [0,_position#0+(_x#0 * _distModifier)];
		_position set [1,_position#1+(_x#1 * _distModifier)];
		private _unit = createAgent [_type,_position,[], 0, "FORM"];
		_unit setPosWorld _position;
		[_unit, "LISTEN_BRIEFING", "ASIS"] call BIS_fnc_ambientAnim;
		_soldiers pushBack _unit;
	};
} forEach _offsets;
deleteVehicle _model;

_soldiers;
